# H225_CallIdentifier Class Reference

`#include <h225.h>`

Inheritance diagram for H225_CallIdentifier:

List of all members.

## Public Member Functions

| H225_CallIdentifier (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_GloballyUniqueID | m_guid

## Constructor & Destructor Documentation

H225_CallIdentifier::H225_CallIdentifier | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_CallIdentifier::GetDataLength | ( |  | ) | const

PBoolean H225_CallIdentifier::Decode | ( | PASN_Stream & | strm | ) |

void H225_CallIdentifier::Encode | ( | PASN_Stream & | strm | ) | const

void H225_CallIdentifier::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_CallIdentifier::Compare | ( | const PObject & | obj | ) | const

PObject* H225_CallIdentifier::Clone | ( |  | ) | const

## Member Data Documentation

H225_GloballyUniqueID H225_CallIdentifier::m_guid

The documentation for this class was generated from the following file:

- h225.h